# VRML/Makefile
############################################################################

# use same configuration parameters as in parent directory
include Config.common
include Config.site

POOLSDIR = ./POOLS

############################################################################
# No need to change anything below here
############################################################################
# the source files in this directory
CXXSOURCES = 
CSOURCES = 
SOURCES = $(CXXSOURCES) $(CSOURCES)
OBJECTS = ${CXXSOURCES:.C=.o} ${CSOURCES:.c=.o}


CFLAGS = $(_CFLAGS) -DPhBRML -I$(NODESDIR) -I$(PhBRMLDIR) -I.
# CFLAGS = $(_CFLAGS) -I$(NODESDIR) -I$(PhBRMLDIR) -I.
LDFLAGS = $(_LDFLAGS)


# subdirectories
PROGSDIR = ./PROGS

SUBDIRS = VRML $(PROGSDIR) ${POOLSDIR} NODEGEN TEST

#default target: compile
all: progs

# generate source file dependencies
depend: 
	for i in $(SUBDIRS) ; do { $(MAKE) -C $$i depend || exit 1 ; } ; done

.phony: progs nodes extensions pools

progs: libvrml pools
	$(MAKE) -C $(PROGSDIR) all

here: $(OBJECTS)

libvrml:
	$(MAKE) -C VRML all

pools:
	$(MAKE) -C $(POOLSDIR) all

# make a clean source tree again
clean:
	for i in $(SUBDIRS) ; do { $(MAKE) -C $$i clean || exit 1 ; } ; done

distclean: cleanhere
	for i in $(SUBDIRS) ; do { $(MAKE) -C $$i distclean || exit 1 ; } ; done

###############################################################################
# dependencies --- automatically generated with make depend !!
###############################################################################
-include deps


